nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0 100px;
    position: fixed;
    top: 0;
    width: calc(100% - 200px);
    background-color: rgba(182, 182, 182, 0.622);
    backdrop-filter: blur(3px);
    z-index: 2;
}

nav > a > img {
    width: clamp(50px, 10vw, 100px);
    padding: 10px 0;
}

nav > ul {
    display: flex;
    flex-direction: row;
    gap: 20px;
}

.nav_links {
    display: none;
    flex-direction: row;
}

.contact_btn {
    background-color: var(--bluebackground);
    color: white;
    padding: 0.5vw 1vw;
    border-radius: 3px;
}

.contact_btn:hover {
    background-color: var(--blue_hover);
}

.language_btn-container {
    position: absolute;
    right: 1.5%;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    justify-items: flex-end;
    row-gap: 5px;
}

.language_btn {
    padding: 5px;
    border-radius: 100%;
    background-color: rgb(221, 221, 221);
    color: black;
}

.nav_svg {
    width: 19px;
}

.nav_links-menu {
    z-index: 3;
    position: absolute;
    top: 25px;
    right: 50px;
    display: flex;
    flex-direction: column;
    border: 1px solid var(--bluebackground);
    background-color: rgba(207, 207, 207, 0.921);
    border-radius: 3px;
    row-gap: 2.5vw;
    padding: 10px 15px;
    align-items: flex-end;
}

.nav_links-menu > li > a {
    font-size: 5vw !important;
}

.nav_menu-btn {
    display: none;
    background-color: rgba(255, 255, 255, 0) !important;
}

@media screen and (max-width: 800px) {
    .language_btn {
        padding: 5px;
        font-size: 10px;
    }

    nav {
        padding: 0 50px;
        width: calc(100% - 100px);
    }

}

@media screen and (max-width: 480px) {
    nav {
        padding: 0 40px;
        width: calc(100% - 80px);
    }

    .language_btn {
        padding: 5px;
        font-size: 8px;
    }
}